FROM resin/rpi-raspbian:jessie-20170531

RUN apt-get update && \
    apt-get install -y gcc python python-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev curl

ADD https://bootstrap.pypa.io/get-pip.py /tmp/get-pip.py
RUN python /tmp/get-pip.py && \
    pip install flask unidecode

#  decouble from flask-ask version changes
RUN pip install cryptography==2.1.1 PyYAML==3.12  cffi==1.11.2 pycparser==2.18

RUN pip install flask-ask==0.9.7 requests

EXPOSE 80
HEALTHCHECK --interval=10s CMD curl -sS --fail http://localhost:80 || exit 1

CMD python -u /app/server.py

COPY app /app


